use strict;

use Petal;
use XML::Parser;

$Petal::INPUT  = "XML";
$Petal::OUTPUT = "XML";

my $template = new Petal('test_entities.xml');

my $output = $template->process(
    bar    => 'Are the field elements well formed?',
    email2 => '"Petal Discussion List" <petal@lists.webarch.co.uk>'
);

print "$output\n";

eval {
    my $parser = new XML::Parser();
    $parser->parse($output);
};

print "$@\n" if $@;
